=== debian/changelog ===
jumpnbump (1.50+dfsg1-3ubuntu1) oneiric; urgency=low

  * as-needed.patch: fix FTBFS related to linking (LP: #770740).

 -- Ilya Barygin <barygin@gmail.com>  Sat, 25 Jun 2011 14:32:32 +0400

jumpnbump (1.50+dfsg1-3) unstable; urgency=low

  * Team upload.

  [ Paul Wise ]
  * Add patch to the jumpnbump-menu program so that users can
    add new levels and play them (Closes: #602750)
    Patch by Stéphane Blondon <stephane.blondon@gmail.com>
  * Drop dh_desktop usage, it does nothing
  * Wrap Build-Depends one item per line
  * Switch to dpkg-source format v3

  [ Ansgar Burchardt ]
  * Fix FTBFS with binutils-gold (Closes: #554929)

 -- Paul Wise <pabs@debian.org>  Mon, 09 May 2011 14:51:48 +0800

jumpnbump (1.50+dfsg1-2) unstable; urgency=low

  [ Francois Marier ]
  * Remove myself from uploaders

  [ Ansgar Burchardt ]
  * Use quilt for patch management, move some files to debian/
  * handle SQL quit event (Closes: #487333)
  * exit fullscreen mode early to avoid crash (Closes: #432361)
  * Use Makefile to install jumpnbump-menu
  * Add i18n for jumpnbump-menu (Closes: #516850) - thanks to Stéphane
    Blondon <stephane.blondon@gmail.com>
  * Do not link jnbpack, jnbunpack against libm
  * Mention GPL version in debian/copyright

 -- Ansgar Burchardt <ansgar@43-1.org>  Tue, 03 Mar 2009 01:40:20 +0100

jumpnbump (1.50+dfsg1-1) unstable; urgency=high

  * Urgency set to high as this upload closes a security issue:
  * Fix insecure handling of /tmp (Closes: #500611)
  * Fix path to utility programs in jumpnbump-menu (Closes: #500340).
    Thanks to Kilian Kilger <kilian@nihilnovi.de> for the patch.
  * Repackage source to remove dos/libdj.a (no source provided),
    mention this in debian/copyright
  * Bump Standards Version to 3.8.0 (no changes)
  * Add myself to Uploaders.

 -- Ansgar Burchardt <ansgar@43-1.org>  Mon, 29 Sep 2008 22:01:59 +0200

jumpnbump (1.50-12) unstable; urgency=low

  * Fix vcs-browser field to refer to the right package
  * Bump debhelper compatibility to 6
  * Removed the watch file
  * Move utilities to /usr/lib/jumpnbump and update manpage
  * Fix hyphens in manpage

 -- Francois Marier <francois@debian.org>  Tue, 03 Jun 2008 14:31:04 +1200

jumpnbump (1.50-11) unstable; urgency=low

  * Switch to collaborative maintenance with the Games Team
  * Mention secrets in README.Debian
  * Improve copyright statement in debian/copyright
  * Update upstream URL for the menu

 -- Francois Marier <francois@debian.org>  Sat, 26 Apr 2008 15:10:30 +1200

jumpnbump (1.50-10) unstable; urgency=low

  * Call dh_desktop from debian/rules
  * Bump Standards-Version up to 3.7.3 (no other changes)

 -- Francois Marier <francois@debian.org>  Mon, 24 Dec 2007 02:59:21 -0500

jumpnbump (1.50-9) unstable; urgency=low

  * Rename XS-Vcs-* fields to Vcs-*

 -- Francois Marier <francois@debian.org>  Tue, 20 Nov 2007 15:43:47 +1300

jumpnbump (1.50-8) unstable; urgency=low

  * Added README.Debian to describe how to play against the computer
  * debian/rules:
    - Fixed "make distclean" lintian warning
  * Add homepage field in debian/control
  * Add collab-maint repo in debian/control
  * Change the menu section to Games/Action (menu transition)
  * Remove the Application category in the free desktop menu

 -- Francois Marier <francois@debian.org>  Fri, 19 Oct 2007 16:36:36 +1300

jumpnbump (1.50-7) unstable; urgency=low

  * Add a menu item for GNOME and KDE (closes: #422503)
  * Better xpm icon
  * Fix the watch file

 -- Francois Marier <francois@debian.org>  Mon, 07 May 2007 08:44:10 +1200

jumpnbump (1.50-6) unstable; urgency=low

  * Add the AI keyboard shortcuts to the manpage (closes: #369498)
  * Bump Standards-Version up to 3.7.2 (no changes)

 -- Francois Marier <francois@debian.org>  Sun,  4 Jun 2006 01:38:15 -0400

jumpnbump (1.50-5) unstable; urgency=low

  * Apply patch (thanks to Dan Carpenter!) to exit fullscreen mode when you
    quit (closes: #338705)
  * Fixed charset issue in the manpage to get rid of a lintian warning.
  * Fixed watch file

 -- Francois Marier <francois@debian.org>  Wed, 18 Jan 2006 23:48:50 -0500

jumpnbump (1.50-4) unstable; urgency=low

  * Fix the manpage symlinks 

 -- Francois Marier <francois@debian.org>  Mon, 27 Jun 2005 10:02:46 -0400

jumpnbump (1.50-3) unstable; urgency=low

  * New maintainer (closes: #284871): thanks Sam and Gürkan for your work!
  * Bump Standards-Version up to 3.6.2 (no changes)
  * Bump debian/compat and Debhelper dependency to version 4
  * Remove debug patch (closes: #277107)
  * Remove README.Network and outdated network information in README (closes: #314221)
  * Revert PowerPC patch, need a better one (closes: #283952)
  * Removed useless files in /usr/share/doc/jumpnbump
  * Update manpage with current command line parameters
  * Make the package Lintian and Linda clean
  * Add watch file

 -- Francois Marier <francois@debian.org>  Sun, 26 Jun 2005 13:02:29 -0400

jumpnbump (1.50-2) unstable; urgency=low

  * main.c: fix for a PowerPC crash, courtesy of James Morrison
    (Closes: #277737).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 24 Oct 2004 13:30:39 +0200

jumpnbump (1.50-1) unstable; urgency=low

  * New upstream release (Closes: #259975).
  * New maintainers (Sam Hocevar and Gürkan Sengün).
  * debian/control:
    + Set policy to 3.6.1.1.
    + Uncapitalised short description.
  * debian/menu:
    + Quoted strings where appropriate.
  * debian/rules:
    + Use debian/compat instead of DH_COMPAT.
    + Replaced deprecated call to dh_installmanpages with dh_installman.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Jul 2004 09:50:36 +0200

jumpnbump (1.41-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Standards-Version.

 -- Ivo Timmermans <ivo@debian.org>  Sat, 10 May 2003 00:03:53 +0200

jumpnbump (1.40-6) unstable; urgency=low

  * jumpnbump_menu/jumpnbump_menu.py: Undo hackery.  (Closes: #182448)


