=== debian/changelog ===
jumpnbump (1.51+dfsg1-2) unstable; urgency=medium

  * Fix NetPacket buffer size by adapting its member types
    (Closes: #762698).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 26 Sep 2014 17:54:37 +0200

jumpnbump (1.51+dfsg1-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * New upstream release (Closes: #476813).
  * Refresh patches.
  * Add Build-Depends: libbz2-dev, zlib1g-dev.
  * Fix Homepage, Vcs-Git and Vcs-Browser fields in debian/control
    to point to the canonical locations.
  * Fix rabbits disappearing in upper left corner due to
    undesired springs added above the screen (Closes: #370650).
  * Fix FTBFS with "ld --as-needed" (Closes: #631702).
  * Convert to debhelper compat level 9, use the dh sequencer,
    re-arrange some debhelper helper files.
  * Adhere to build flags to enable building with hardening flags.
  * Fix a format string vulnerability.
  * Convert debian/copyright to machine-readable format.
  * Add Keywords field to debian/jumpnbump.desktop file.
  * Run "wrap-and-sort -asb".
  * Add high-resolution icon in PNG format.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Sat, 20 Sep 2014 18:50:17 +0200
