=== debian/control ===
Source: jumpnbump
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Ansgar Burchardt <ansgar@43-1.org>,
 Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends:
 debhelper (>= 9),
 libbz2-dev,
 libsdl-mixer1.2-dev (>= 1.2.0-1.1),
 libsdl-net1.2-dev (>= 1.2.0-5.1),
 libsdl1.2-dev (>= 1.2.2-3.1),
 zlib1g-dev
Standards-Version: 3.9.5
Homepage: https://www.icculus.org/jumpnbump/
Vcs-Git: git://anonscm.debian.org/pkg-games/jumpnbump.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-games/jumpnbump.git

Package: jumpnbump
Architecture: any
Suggests:
 jumpnbump-levels
Depends:
 imagemagick,
 python,
 python-glade2,
 python-gtk2,
 ${misc:Depends},
 ${shlibs:Depends}
Description: cute multiplayer platform game with bunnies
 You, as a bunny, have to jump on your opponents to make them
 explode.  It's a true multiplayer game, you can't play this alone.
 It has network support.
 .
 This program is a unix port of the old DOS game by brainchilddesign.
