=== debian/rules ===
#!/usr/bin/make -f

debian/jumpnbump.png: sdl/jumpnbump128.xpm
	convert $^ $@

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr all data
	$(MAKE) -C debian/contrib/jumpnbump_menu PREFIX=/usr all

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) -C debian/contrib/jumpnbump_menu clean

override_dh_auto_install:
	dh_installdirs --all usr/games usr/share/games/jumpnbump
	$(MAKE) -C debian/contrib/jumpnbump_menu PREFIX=$(CURDIR)/debian/jumpnbump/usr install
