=== debian/changelog ===
jumpnbump (1.60-3) unstable; urgency=medium

  * Do not build and install the jumpnbump-menu anymore (Closes: #885310).
  * Update Vcs-* to point to salsa.debian.org.
  * Remove trailing whitespace from debian/changelog.
  * Bump debhelper compat to 11.
  * Use secure debian/copyright format URI.
  * Bump Standards-Version to 4.1.3.
  * Install AppStream metadata to the proper location.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 21 Jan 2018 20:41:57 +0100

jumpnbump (1.60-2) unstable; urgency=medium

  * Apply two more patches from the upstream master branch:
    + dist: fix some meta-data syntax
    + Makefile: Fix occasional parallel FTBFS,
      Thanks Adrian Bunk (Closes: #865813)
  * Enable all hardening flags.

 -- Fabian Greffrath <fabian@debian.org>  Tue, 27 Jun 2017 21:47:28 +0200

jumpnbump (1.60-1) unstable; urgency=medium

  [ Ansgar Burchardt ]
  * Remove myself from Uploaders.

  [ Fabian Greffrath ]
  * Follow upstream moving to GitLab.
    + Add debian/watch file.
  * New upstream version 1.60.
  * Adapt packaging to the new upstream release.
    + Remove jumpnbump_menu from debian/contrib as well as the man page,
      the desktop file and the png icon, all of which have been adopted
      by upstream.
    + Remove the debian/clean and debian/source/include-binaries files.
    + Install all upstream documentation.
    + Remove the debian/FAQ file, which doesn't apply anymore.
    + Update Build-Depends in debian/control to the SDL2 library variants.
    + Remove all patches, they have been applied upstream.
    + Update the debian/copyright file.
    + Install all game binaries into /usr/games.
  * Remove the Debian menu file and the XPM icon in favor of the XDG approach.
  * Update Uploaders field to use my Debian mail address.
  * Bump debhelper compat to 10.
  * Bump Standards-Version to 3.9.8.
  * Fix vcs-field-uses-insecure-uri lintian warnings.
  * Let dh-python handle the python dependency.
  * Add doc-base registration.
  * Apply two post-release patches from the upstream GIT repo.
    + appdata: Fix invalid homepage and screenshot URLs.
    + menu: Make python shebang more explicit.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 24 Jun 2017 17:47:22 +0200
