=== debian/control ===
Source: jumpnbump
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper (>= 11~),
 libbz2-dev,
 libsdl2-dev (>> 2.0.4),
 libsdl2-mixer-dev (>> 2.0.1),
 libsdl2-net-dev (>> 2.0.1),
 zlib1g-dev
Standards-Version: 4.1.3
Homepage: https://gitlab.com/LibreGames/jumpnbump/
Vcs-Git: https://salsa.debian.org/games-team/jumpnbump.git
Vcs-Browser: https://salsa.debian.org/games-team/jumpnbump

Package: jumpnbump
Architecture: any
Suggests:
 jumpnbump-levels
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: cute multiplayer platform game with bunnies
 You, as a bunny, have to jump on your opponents to make them
 explode.  It's a true multiplayer game, you can't play this alone.
 It has network support.
 .
 This program is a unix port of the old DOS game by brainchilddesign.
