=== debian/watch ===
version=3
opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S+)/jumpnbump-$1\.tar\.gz/g \
  https://gitlab.com/LibreGames/jumpnbump/tags?sort=updated_desc .*archive\.tar\.gz\?ref=v?(\d\S+)
