## jumpnbump 1.61

=== Makefile ===
--- 
+++ 
@@ -25,14 +25,16 @@
 OBJS = main.o menu.o filter.o network.o
 BINARIES = $(TARGET) $(MODIFY_TARGET)
 
-.PHONY: data
+.PHONY: data modify
 
-all: $(BINARIES) jnbmenu
+all: $(BINARIES)
 
 $(SDL_TARGET): globals.h
 	$(MAKE) -C sdl
 
-$(MODIFY_TARGET): globals.h
+$(MODIFY_TARGET): modify
+
+modify: globals.h
 	$(MAKE) -C modify
 
 $(TARGET): $(OBJS) $(SDL_TARGET) data globals.h
@@ -58,7 +60,7 @@
 install:
 	mkdir -p $(DESTDIR)$(BINDIR)
 	mkdir -p $(DESTDIR)$(GAMEDATADIR)/jumpnbump/
-	mkdir -p $(DESTDIR)$(DATADIR)/appdata/
+	mkdir -p $(DESTDIR)$(DATADIR)/metainfo/
 	mkdir -p $(DESTDIR)$(DATADIR)/applications/
 	mkdir -p $(DESTDIR)$(DATADIR)/icons/
 	mkdir -p $(DESTDIR)$(DATADIR)/man/man6/
@@ -66,21 +68,19 @@
 	install -m 644 data/jumpbump.dat \
 		$(DESTDIR)$(GAMEDATADIR)/jumpnbump/jumpbump.dat
 	install -m 644 dist/jumpnbump.appdata.xml \
-		$(DESTDIR)$(DATADIR)/appdata/jumpnbump.appdata.xml
+		$(DESTDIR)$(DATADIR)/metainfo/jumpnbump.appdata.xml
 	install -m 644 dist/jumpnbump.desktop \
 		$(DESTDIR)$(DATADIR)/applications/jumpnbump.desktop
-	install -m 644 dist/jumpnbump-menu.desktop \
-		$(DESTDIR)$(DATADIR)/applications/jumpnbump-menu.desktop
 	install -m 644 dist/jumpnbump.png \
 		$(DESTDIR)$(DATADIR)/icons/jumpnbump.png
 	install -m 644 dist/jumpnbump.6 $(DESTDIR)$(DATADIR)/man/man6/
 
-	$(MAKE) -C menu install
+#	$(MAKE) -C menu install
 
 uninstall:
 	for bin in $(BINARIES); do $(RM) $(DESTDIR)$(BINDIR)/$$bin; done
 	$(RM) -r $(DESTDIR)$(GAMEDATADIR)/jumpnbump
-	$(RM) $(DESTDIR)$(DATADIR)/appdata/jumpnbump.appdata.xml
+	$(RM) $(DESTDIR)$(DATADIR)/metainfo/jumpnbump.appdata.xml
 	$(RM) $(DESTDIR)$(DATADIR)/applications/jumpnbump.desktop
 	$(RM) $(DESTDIR)$(DATADIR)/icons/jumpnbump.png
 	$(RM) $(DESTDIR)$(DATADIR)/man/man6/jumpnbump.6
