=== debian/changelog ===
jumpnbump (1.61-6) unstable; urgency=medium

  * Cherry-pick patch from upstream to fix showing level thumbnails
    with PIL 10+ (Closes: #1127432), refresh other patches and
    re-index from the '1.61' tag of the master branch
  * Fix AppStream metadata
  * Fix HTML national encoding
  * Update debian/watch file to version 5
  * Bump Standards-Version to 4.7.3, drop redundant Priority and RRR
    fields from debian/control

 -- Fabian Greffrath <fabian@debian.org>  Tue, 10 Feb 2026 09:03:46 +0100

jumpnbump (1.61-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Set upstream metadata fields: Bug-Database, Bug-Submit,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Fabian Greffrath ]
  * Fix debian/watch file, thanks Patrice Duroux (Closes: #1079921)
  * Replace Build-Depends on dh-python and python3:any with
    dh-sequence-python3
  * Bump Standards-Version to 4.7.0
  * Bump Debian packaging copyright year

 -- Fabian Greffrath <fabian@debian.org>  Fri, 04 Oct 2024 09:39:54 +0200

jumpnbump (1.61-4) unstable; urgency=medium

  * Fix debian/watch file.
  * Add and rearrange post-release upstream patches from the 6ac07f
    commit.
  * Shorten malformed Build-Depends line to python3:any.
  * Bump debhelper-compat to 13.
  * Bump Standards-Version to 4.6.0.
  * Rules-Requires-Root: no.

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Sep 2021 09:53:33 +0200

jumpnbump (1.61-3.1) unstable; urgency=medium

  * Non-maintainer upload with maintainers approval.
  * Apply upstream fix to prevent crash on systems where char is unsigned.
    (Closes: 987333)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Apr 2021 13:35:52 +0100

jumpnbump (1.61-3) unstable; urgency=medium

  * Backport post-release patch from upstream to add future gcc
    default -fno-common and fix code (Closes: #957394).

 -- Fabian Greffrath <fabian@debian.org>  Sun, 26 Jul 2020 16:48:41 +0200

jumpnbump (1.61-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against Python 3.8.
  * debian/copyright: Update copyright information for
    dist/jumpnbump.appdata.xml (lintian warning).

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 11:12:55 -0500

jumpnbump (1.61-1) unstable; urgency=medium

  * New upstream version 1.61
  * Remove all patches, applied upstream.
  * Bring back jumpnbump-menu, it has been ported to Python 3 and GTK+3.
  * Apply a post-release commit from upstream to use Pillow instead of
    ImageMagick for the level preview generation in jumpnbump-menu.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.0.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 16 Sep 2019 17:49:59 +0200

jumpnbump (1.60-4) unstable; urgency=medium

  * Fix debian/watch file.
  * Replace debian/patches/* with all upstream commits
    since the 1.60 release.

 -- Fabian Greffrath <fabian@debian.org>  Sun, 13 Jan 2019 20:37:56 +0100
