=== debian/control ===
Source: jumpnbump
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Fabian Greffrath <fabian@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 libbz2-dev,
 libsdl2-dev,
 libsdl2-mixer-dev,
 libsdl2-net-dev,
 zlib1g-dev
Standards-Version: 4.7.3
Homepage: https://gitlab.com/LibreGames/jumpnbump/
Vcs-Git: https://salsa.debian.org/games-team/jumpnbump.git
Vcs-Browser: https://salsa.debian.org/games-team/jumpnbump

Package: jumpnbump
Architecture: any
Suggests:
 jumpnbump-levels
Depends:
 gir1.2-gtk-3.0,
 python3-gi,
 python3-pil,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: cute multiplayer platform game with bunnies
 You, as a bunny, have to jump on your opponents to make them
 explode.  It's a true multiplayer game, you can't play this alone.
 It has network support.
 .
 This program is a unix port of the old DOS game by brainchilddesign.
