=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python3

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr BINDIR=/usr/games GAMEDATADIR=/usr/share/games
	dh_auto_build -- PREFIX=/usr BINDIR=/usr/games GAMEDATADIR=/usr/share/games -C menu

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr BINDIR=/usr/games GAMEDATADIR=/usr/share/games
	dh_auto_install -- PREFIX=/usr BINDIR=/usr/games GAMEDATADIR=/usr/share/games -C menu

execute_after_dh_install:
	mv -f debian/jumpnbump/usr/share/metainfo/jumpnbump.appdata.xml \
	      debian/jumpnbump/usr/share/metainfo/io.gitlab.LibreGames.jumpnbump.metainfo.xml
	mv -f debian/jumpnbump/usr/share/applications/jumpnbump.desktop \
	      debian/jumpnbump/usr/share/applications/io.gitlab.LibreGames.jumpnbump.desktop
